NX Open C++ Reference Guide
|
Represents a @link Features::StyledBlend Features::StyledBlend@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStyledBlendBuilder Features::FeatureCollection::CreateStyledBlendBuilder @endlink <br>
Default values. More...
Public Types | |
enum | StyledBlendRadiusConstraintType { StyledBlendRadiusConstraintTypeNone, StyledBlendRadiusConstraintTypePeak, StyledBlendRadiusConstraintTypeMinimum } |
The radius constraint type. More... | |
enum | StyledBlendShapeControlType { StyledBlendShapeControlTypeTangentCurve1, StyledBlendShapeControlTypeTangentCurve2, StyledBlendShapeControlTypeDepth, StyledBlendShapeControlTypeSkew, StyledBlendShapeControlTypeTangentMagnitude } |
The shape control types. More... | |
enum | StyledBlendTrimMethodType { StyledBlendTrimMethodTypeNoTrim, StyledBlendTrimMethodTypeTrimAndAttach, StyledBlendTrimMethodTypeTrimInputWalls, StyledBlendTrimMethodTypeTrimInputBlends } |
The trim method types. More... | |
enum | Types { TypesLaw, TypesCurve, TypesProfile } |
The styled blend types. More... | |
Public Member Functions | |
NXOpen::SelectEdge * | AdjacentBlend1 () |
Returns the first adjacent blend Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | AdjacentBlend1TrimEnd () |
Returns the trim end of the first adjacent blend Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | AdjacentBlend1TrimStart () |
Returns the trim start of the first adjacent blend Created in NX6.0.0. | |
NXOpen::SelectEdge * | AdjacentBlend2 () |
Returns the second adjacent blend Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | AdjacentBlend2TrimEnd () |
Returns the trim end of the second adjacent blend Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | AdjacentBlend2TrimStart () |
Returns the trim start of the second adjacent blend Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | Blend1Continuity () |
Returns the first blend continuity Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | Blend2Continuity () |
Returns the second blend continuity Created in NX6.0.0. | |
NXOpen::Section * | CenterCurve () |
Returns the center curve Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | CenterCurveEnd () |
Returns the center curve end Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | CenterCurveStart () |
Returns the center curve start Created in NX6.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | DepthLaw () |
Returns the depth Created in NX6.0.0. | |
NXOpen::Features::SelectFeature * | InheritFeatureParameters () |
Returns a feature from which parameters will be inherited. | |
bool | IsBlendExtended () |
Returns a value indicating whether the blend is extended Created in NX6.0.0. | |
bool | IsCenterCurveDirectionReversed () |
Returns a value indicating whether the center curve direction is reversed Created in NX6.0.0. | |
bool | IsCenterCurveUsedAsSpine () |
Returns a value indicating whether the center curve is used as the spine Created in NX6.0.0. | |
bool | IsNormal1Reversed () |
Returns a value indicating whether to reverse the normal of the first wall Created in NX6.0.0. | |
bool | IsNormal2Reversed () |
Returns a value indicating whether to reverse the normal of the second wall Created in NX6.0.0. | |
bool | IsSingleTubeUsed () |
Returns a value indicating whether the single tube is used Created in NX6.0.0. | |
bool | LinkHandles () |
Returns a value indicating whether to link the handles Created in NX6.0.0. | |
double | PositionTolerance () |
Returns the position tolerance Created in NX6.0.0. | |
void | ProcessInheritFeatureParameters (NXOpen::Features::StyledBlend *feature) |
Internally data processing of inherited parameters from other Styled Blend feature. | |
NXOpen::Section * | ProfileCurve () |
Returns the profile curve Created in NX6.0.0. | |
NXOpen::Features::StyledBlendBuilder::StyledBlendRadiusConstraintType | RadiusConstraintType () |
Returns the radius constraint type Created in NX6.0.0. | |
NXOpen::Expression * | RadiusConstraintValue () |
Returns the radius constraint value Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Rebuild * | RebuildGuide () |
Returns the rebuild guide Created in NX6.0.0. | |
void | ReverseBlend () |
Reverses the blend Created in NX6.0.0. | |
void | SetBlendExtended (bool isBlendExtended) |
Sets a value indicating whether the blend is extended Created in NX6.0.0. | |
void | SetCenterCurveDirectionReversed (bool reverseCenterCurveDirection) |
Sets a value indicating whether the center curve direction is reversed Created in NX6.0.0. | |
void | SetCenterCurveUsedAsSpine (bool useCenterCurveAsSpine) |
Sets a value indicating whether the center curve is used as the spine Created in NX6.0.0. | |
void | SetLinkHandles (bool linkHandles) |
Sets a value indicating whether to link the handles Created in NX6.0.0. | |
void | SetNormal1Reversed (bool reverseNormal1) |
Sets a value indicating whether to reverse the normal of the first wall Created in NX6.0.0. | |
void | SetNormal2Reversed (bool reverseNormal2) |
Sets a value indicating whether to reverse the normal of the second wall Created in NX6.0.0. | |
void | SetPositionTolerance (double positionTolerance) |
Sets the position tolerance Created in NX6.0.0. | |
void | SetRadiusConstraintType (NXOpen::Features::StyledBlendBuilder::StyledBlendRadiusConstraintType radiusConstraintType) |
Sets the radius constraint type Created in NX6.0.0. | |
void | SetShapeControl (NXOpen::Features::StyledBlendBuilder::StyledBlendShapeControlType shapeControl) |
Sets the shape control Created in NX6.0.0. | |
void | SetSingleTubeUsed (bool singleTube) |
Sets a value indicating whether the single tube is used Created in NX6.0.0. | |
void | SetTangentTolerance (double tangentTolerance) |
Sets the tangent tolerance Created in NX6.0.0. | |
void | SetTrimMethod (NXOpen::Features::StyledBlendBuilder::StyledBlendTrimMethodType trimMethod) |
Sets the trim method Created in NX6.0.0. | |
void | SetType (NXOpen::Features::StyledBlendBuilder::Types type) |
Sets the type Created in NX6.0.0. | |
NXOpen::Features::StyledBlendBuilder::StyledBlendShapeControlType | ShapeControl () |
Returns the shape control Created in NX6.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | SkewLaw () |
Returns the skew Created in NX6.0.0. | |
NXOpen::Section * | SpineCurve () |
Returns the spine curve Created in NX6.0.0. | |
NXOpen::Section * | TangentCurve1 () |
Returns the first tangent curve Created in NX6.0.0. | |
NXOpen::Section * | TangentCurve2 () |
Returns the second tangent curve Created in NX6.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | TangentMagnitude1 () |
Returns the tangent magnitude 1 Created in NX6.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | TangentMagnitude2 () |
Returns the tangent magnitude 2 Created in NX6.0.0. | |
double | TangentTolerance () |
Returns the tangent tolerance Created in NX6.0.0. | |
NXOpen::Features::StyledBlendBuilder::StyledBlendTrimMethodType | TrimMethod () |
Returns the trim method Created in NX6.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | TubeRadius1 () |
Returns the first tube radius Created in NX6.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | TubeRadius2 () |
Returns the second tube radius Created in NX6.0.0. | |
NXOpen::Features::StyledBlendBuilder::Types | Type () |
Returns the type Created in NX6.0.0. | |
void | UpdateCenterCurve () |
Updates the center curve. | |
void | UpdateProfileCurve () |
Updates the profile curve for Profile type. | |
void | UpdateRadiusLawSpine () |
Updates the spine in radius laws. | |
void | UpdateResetData () |
Set necessary builder data. | |
void | UpdateShapeLawSpine (bool isDefaultSpine) |
Updates the spine in shape laws. | |
void | UpdateSpineCurve () |
Updates the spine curve. | |
void | UpdateTangentCurve1 () |
Updates the first tangent curve for Curve type. | |
void | UpdateTangentCurve2 () |
Updates the second tangent curve for Curve Type. | |
bool | UpdateWall1 () |
Updates the first wall. | |
bool | UpdateWall2 () |
Updates the second wall. | |
NXOpen::ScCollector * | Wall1 () |
Returns the first wall Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | Wall1Continuity () |
Returns the first wall continuity Created in NX6.0.0. | |
NXOpen::GeometricUtilities::FlowDirection * | Wall1Direction () |
Returns the first wall flow direction Created in NX5.0.0. | |
NXOpen::ScCollector * | Wall2 () |
Returns the second wall Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | Wall2Continuity () |
Returns the second wall continuity Created in NX6.0.0. | |
NXOpen::GeometricUtilities::FlowDirection * | Wall2Direction () |
Returns the second wall flow direction Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::StyledBlend Features::StyledBlend@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStyledBlendBuilder Features::FeatureCollection::CreateStyledBlendBuilder @endlink <br>
Default values.
Property | Value |
---|---|
DepthLaw.Function |
ft |
DepthLaw.LawType |
MultiTransition |
DepthLaw.Parameter |
t |
IsCenterCurveUsedAsSpine |
0 |
IsSingleTubeUsed |
1 |
LinkHandles |
0 |
RadiusConstraintType |
None |
RadiusConstraintValue.Value |
1.0 (millimeters part), 2.54 (inches part) |
RebuildGuide.DegreeType |
Quintic |
ShapeControl |
TangentCurve1 |
SkewLaw.LawType |
MultiTransition |
TangentMagnitude1.LawType |
MultiTransition |
TangentMagnitude2.LawType |
MultiTransition |
TrimMethod |
NoTrim |
TubeRadius1.LawType |
MultiTransition |
TubeRadius2.LawType |
MultiTransition |
Created in NX6.0.0.
The shape control types.
The styled blend types.
TypesLaw |
Law type. |
TypesCurve |
Curve type. |
TypesProfile |
Profile type. |
NXOpen::SelectEdge* NXOpen::Features::StyledBlendBuilder::AdjacentBlend1 | ( | ) |
Returns the first adjacent blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::AdjacentBlend1TrimEnd | ( | ) |
Returns the trim end of the first adjacent blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::AdjacentBlend1TrimStart | ( | ) |
Returns the trim start of the first adjacent blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::SelectEdge* NXOpen::Features::StyledBlendBuilder::AdjacentBlend2 | ( | ) |
Returns the second adjacent blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::AdjacentBlend2TrimEnd | ( | ) |
Returns the trim end of the second adjacent blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::AdjacentBlend2TrimStart | ( | ) |
Returns the trim start of the second adjacent blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledBlendBuilder::Blend1Continuity | ( | ) |
Returns the first blend continuity
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledBlendBuilder::Blend2Continuity | ( | ) |
Returns the second blend continuity
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Section* NXOpen::Features::StyledBlendBuilder::CenterCurve | ( | ) |
Returns the center curve
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::CenterCurveEnd | ( | ) |
Returns the center curve end
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::CenterCurveStart | ( | ) |
Returns the center curve start
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::DepthLaw | ( | ) |
Returns the depth
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Features::SelectFeature* NXOpen::Features::StyledBlendBuilder::InheritFeatureParameters | ( | ) |
Returns a feature from which parameters will be inherited.
If you do not want to inherit parameters, do not set this
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::StyledBlendBuilder::IsBlendExtended | ( | ) |
Returns a value indicating whether the blend is extended
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::StyledBlendBuilder::IsCenterCurveDirectionReversed | ( | ) |
Returns a value indicating whether the center curve direction is reversed
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::StyledBlendBuilder::IsCenterCurveUsedAsSpine | ( | ) |
Returns a value indicating whether the center curve is used as the spine
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::StyledBlendBuilder::IsNormal1Reversed | ( | ) |
Returns a value indicating whether to reverse the normal of the first wall
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::StyledBlendBuilder::IsNormal2Reversed | ( | ) |
Returns a value indicating whether to reverse the normal of the second wall
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::StyledBlendBuilder::IsSingleTubeUsed | ( | ) |
Returns a value indicating whether the single tube is used
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::StyledBlendBuilder::LinkHandles | ( | ) |
Returns a value indicating whether to link the handles
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
double NXOpen::Features::StyledBlendBuilder::PositionTolerance | ( | ) |
Returns the position tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledBlendBuilder::ProcessInheritFeatureParameters | ( | NXOpen::Features::StyledBlend * | feature | ) |
Internally data processing of inherited parameters from other Styled Blend feature.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
feature | feature |
NXOpen::Section* NXOpen::Features::StyledBlendBuilder::ProfileCurve | ( | ) |
Returns the profile curve
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Features::StyledBlendBuilder::StyledBlendRadiusConstraintType NXOpen::Features::StyledBlendBuilder::RadiusConstraintType | ( | ) |
Returns the radius constraint type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Expression* NXOpen::Features::StyledBlendBuilder::RadiusConstraintValue | ( | ) |
Returns the radius constraint value
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::StyledBlendBuilder::RebuildGuide | ( | ) |
Returns the rebuild guide
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledBlendBuilder::ReverseBlend | ( | ) |
Reverses the blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledBlendBuilder::SetBlendExtended | ( | bool | isBlendExtended | ) |
Sets a value indicating whether the blend is extended
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isBlendExtended | isblendextended |
void NXOpen::Features::StyledBlendBuilder::SetCenterCurveDirectionReversed | ( | bool | reverseCenterCurveDirection | ) |
Sets a value indicating whether the center curve direction is reversed
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
reverseCenterCurveDirection | reversecentercurvedirection |
void NXOpen::Features::StyledBlendBuilder::SetCenterCurveUsedAsSpine | ( | bool | useCenterCurveAsSpine | ) |
Sets a value indicating whether the center curve is used as the spine
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
useCenterCurveAsSpine | usecentercurveasspine |
void NXOpen::Features::StyledBlendBuilder::SetLinkHandles | ( | bool | linkHandles | ) |
Sets a value indicating whether to link the handles
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
linkHandles | linkhandles |
void NXOpen::Features::StyledBlendBuilder::SetNormal1Reversed | ( | bool | reverseNormal1 | ) |
Sets a value indicating whether to reverse the normal of the first wall
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
reverseNormal1 | reversenormal1 |
void NXOpen::Features::StyledBlendBuilder::SetNormal2Reversed | ( | bool | reverseNormal2 | ) |
Sets a value indicating whether to reverse the normal of the second wall
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
reverseNormal2 | reversenormal2 |
void NXOpen::Features::StyledBlendBuilder::SetPositionTolerance | ( | double | positionTolerance | ) |
Sets the position tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
positionTolerance | positiontolerance |
void NXOpen::Features::StyledBlendBuilder::SetRadiusConstraintType | ( | NXOpen::Features::StyledBlendBuilder::StyledBlendRadiusConstraintType | radiusConstraintType | ) |
Sets the radius constraint type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
radiusConstraintType | radiusconstrainttype |
void NXOpen::Features::StyledBlendBuilder::SetShapeControl | ( | NXOpen::Features::StyledBlendBuilder::StyledBlendShapeControlType | shapeControl | ) |
Sets the shape control
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
shapeControl | shapecontrol |
void NXOpen::Features::StyledBlendBuilder::SetSingleTubeUsed | ( | bool | singleTube | ) |
Sets a value indicating whether the single tube is used
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
singleTube | singletube |
void NXOpen::Features::StyledBlendBuilder::SetTangentTolerance | ( | double | tangentTolerance | ) |
Sets the tangent tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
tangentTolerance | tangenttolerance |
void NXOpen::Features::StyledBlendBuilder::SetTrimMethod | ( | NXOpen::Features::StyledBlendBuilder::StyledBlendTrimMethodType | trimMethod | ) |
Sets the trim method
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
trimMethod | trimmethod |
void NXOpen::Features::StyledBlendBuilder::SetType | ( | NXOpen::Features::StyledBlendBuilder::Types | type | ) |
Sets the type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
type | type |
NXOpen::Features::StyledBlendBuilder::StyledBlendShapeControlType NXOpen::Features::StyledBlendBuilder::ShapeControl | ( | ) |
Returns the shape control
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::SkewLaw | ( | ) |
Returns the skew
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Section* NXOpen::Features::StyledBlendBuilder::SpineCurve | ( | ) |
Returns the spine curve
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Section* NXOpen::Features::StyledBlendBuilder::TangentCurve1 | ( | ) |
Returns the first tangent curve
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Section* NXOpen::Features::StyledBlendBuilder::TangentCurve2 | ( | ) |
Returns the second tangent curve
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::TangentMagnitude1 | ( | ) |
Returns the tangent magnitude 1
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::TangentMagnitude2 | ( | ) |
Returns the tangent magnitude 2
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
double NXOpen::Features::StyledBlendBuilder::TangentTolerance | ( | ) |
Returns the tangent tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Features::StyledBlendBuilder::StyledBlendTrimMethodType NXOpen::Features::StyledBlendBuilder::TrimMethod | ( | ) |
Returns the trim method
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::TubeRadius1 | ( | ) |
Returns the first tube radius
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::TubeRadius2 | ( | ) |
Returns the second tube radius
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Features::StyledBlendBuilder::Types NXOpen::Features::StyledBlendBuilder::Type | ( | ) |
Returns the type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledBlendBuilder::UpdateCenterCurve | ( | ) |
Updates the center curve.
This API is used for recording spine creation for the radius and shape laws
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledBlendBuilder::UpdateProfileCurve | ( | ) |
Updates the profile curve for Profile type.
This API is used for recording spine creation for the shape law
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledBlendBuilder::UpdateRadiusLawSpine | ( | ) |
Updates the spine in radius laws.
You should call this function whenever input walls or center curve have been changed
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledBlendBuilder::UpdateResetData | ( | ) |
Set necessary builder data.
This API is used for recording reset all action
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledBlendBuilder::UpdateShapeLawSpine | ( | bool | isDefaultSpine | ) |
Updates the spine in shape laws.
You should call this function whenever input walls, center curve, spine, tangent curves or profile curve have been changed
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isDefaultSpine | isdefaultspine |
void NXOpen::Features::StyledBlendBuilder::UpdateSpineCurve | ( | ) |
Updates the spine curve.
This API is used for recording spine creation for the radius and shape laws
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledBlendBuilder::UpdateTangentCurve1 | ( | ) |
Updates the first tangent curve for Curve type.
This API is used for recording spine creation for the radius and shape laws
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StyledBlendBuilder::UpdateTangentCurve2 | ( | ) |
Updates the second tangent curve for Curve Type.
This API is used for recording spine creation for the radius and shape laws
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::StyledBlendBuilder::UpdateWall1 | ( | ) |
Updates the first wall.
This API is used for recording spine creation for the radius and shape laws
bool NXOpen::Features::StyledBlendBuilder::UpdateWall2 | ( | ) |
Updates the second wall.
This API is used for recording spine creation for the radius and shape laws
NXOpen::ScCollector* NXOpen::Features::StyledBlendBuilder::Wall1 | ( | ) |
Returns the first wall
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledBlendBuilder::Wall1Continuity | ( | ) |
Returns the first wall continuity
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::FlowDirection* NXOpen::Features::StyledBlendBuilder::Wall1Direction | ( | ) |
Returns the first wall flow direction
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::ScCollector* NXOpen::Features::StyledBlendBuilder::Wall2 | ( | ) |
Returns the second wall
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledBlendBuilder::Wall2Continuity | ( | ) |
Returns the second wall continuity
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::FlowDirection* NXOpen::Features::StyledBlendBuilder::Wall2Direction | ( | ) |
Returns the second wall flow direction
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")